/*
 * @lket@ignore-file -- We actually don't want this file for upstream :)
 *
 * WiMAX kernel stack
 * Compatibility glue for generic netlink
 *
 *
 * Copyright (C) 2008 Intel Corporation <linux-wimax@intel.com>
 * Inaky Perez-Gonzalez <inaky.perez-gonzalez@intel.com>
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License version
 * 2 as published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
 * 02110-1301, USA.
 *
 * See drivers/net/wimax/compat.c for more information.
 */
#ifndef __genetlink_compat__h__
#define __genetlink_compat__h__

#include <config.h>

#ifdef NEED_GENL_MC_GROUPS

#include <linux/list.h>
#include <net/genetlink.h>

struct genl_multicast_group {
	char name[GENL_NAMSIZ];
	struct list_head list;
	int id;
};

int genl_register_mc_group(struct genl_family *genl_family,
			   struct genl_multicast_group *mc_group);
void genl_unregister_mc_group(struct genl_family *genl_family,
			      struct genl_multicast_group *mc_group);

#endif

#endif /* #ifndef __genetlink_compat__h__ */
